Page MenuHomePhabricator

Edit Recovery deployment
Open, Needs TriagePublic

Description

Beta

  • Beta cluster

Pilot projects

  • test.wikipedia
  • mediawiki.org
  • French Wikipedia
  • English Wikipedia
  • Arabic Wikipedia (an instance of a RTL language)

All projects

  • Enabled on all projects (user preference default disabled)
  • ...
  • User preference default enabled on all projects

Translation status of key messages:

  • "editrecovery": "Edit Recovery", fr ar
  • "tog-editrecovery": "Enable the [[Special:EditRecovery|{{int:editrecovery}}]] feature", fr ar
  • "tog-editrecovery-help": "You can give feedback on the [https://meta.wikimedia.org/wiki/Talk:Community_Wishlist_Survey_2023/Edit-recovery_feature project's talk page].", fr ar
  • "edit-recovery-loaded-title": "Changes recovered", fr ar
  • "edit-recovery-loaded-message": "Your unsaved changes have been automatically recovered.", fr ar
  • "edit-recovery-loaded-show": "Show changes", fr ar
  • "edit-recovery-loaded-discard": "Discard changes", fr ar

Communications planning

See Asana

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 992203 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] IS: Enable edit recovery on mediawikiwiki

https://gerrit.wikimedia.org/r/992203

@Samwilson, @STei-WMF — we should select some pilot projects to deploy this to initially, once the outstanding bug(s) have been resolved

Is it possible to get assistance to test myself before I can recommend pilot wikis? To get first-hand experience.

Is it possible to get assistance to test myself before I can recommend pilot wikis? To get first-hand experience.

Sure!

  1. Visit https://test.wikipedia.org/wiki/T355548
  2. Begin to edit the page, and wait a few seconds
  3. Stop editing the page (i.e. close the tab)
  4. Visit https://test.wikipedia.org/wiki/Special:EditRecovery
  5. Note that "You have unsaved changes to the following pages and/or sections"
  6. Visit https://test.wikipedia.org/wiki/T355548 again and edit the page
  7. Note that your changes are recovered

Note for testing edit recovery: now that https://gerrit.wikimedia.org/r/992403 is merged, you will need to go into your preferences (editing tab) and enable Edit Recovery — it is disabled by default

We should make sure that the default languages of the projects to which it's deployed have had the messages translated, i.e. the MediaWiki:Edit-recovery-* prefix as well as MediaWiki:Tog-editrecovery and MediaWiki:Editrecovery.

I spoke to @STei-WMF just now and we thought it might be a good idea to modify the preference message from

Enable the [[Special:EditRecovery|{{int:editrecovery}}]] feature

to something like

Enable the new [[Special:EditRecovery|{{int:editrecovery}}]] feature (you can give feedback on the [https://meta.wikimedia.org/wiki/Talk:Community_Wishlist_Survey_2023/Edit-recovery_feature project's talk page])

to highlight the fact that it's not a fully polished feature yet and that we want feedback.

I spoke to @STei-WMF just now and we thought it might be a good idea to modify the preference message from

Enable the [[Special:EditRecovery|{{int:editrecovery}}]] feature

to something like

Enable the new [[Special:EditRecovery|{{int:editrecovery}}]] feature (you can give feedback on the [https://meta.wikimedia.org/wiki/Talk:Community_Wishlist_Survey_2023/Edit-recovery_feature project's talk page])

to highlight the fact that it's not a fully polished feature yet and that we want feedback.

I’d rather add a help text (the smaller gray text below some options, e.g. This is sometimes called the '2010 wikitext editor'.) so that the main label doesn’t have to be re-translated once this feature becomes old – the help text could simply be removed if it’s no longer relevant.

Change 992203 abandoned by Samtar:

[operations/mediawiki-config@master] IS: Enable edit recovery on mediawikiwiki

Reason:

https://gerrit.wikimedia.org/r/992203

Change 1004736 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] InitialiseSettings: Enable Edit Recovery on mw and frwiki

https://gerrit.wikimedia.org/r/1004736

After a discussion with @Samwilson Edit Recovery will be deployed to mediawiki.org, French Wikipedia, English Wikipedia and Arabic Wikipedia (an instance of a RTL language) possibly in the week of 19 February. We will collect feedback for about a month.

The plan for en, ar, and fr Wikipedias is to deploy for general testing and feedback, but primarily, I will be inviting some African Wikimedians with the aim of getting feedback from editors as one of the geographic locations where power cuts and unstable internet connections are usually reported.

Scheduled the above patch (1004736: InitialiseSettings: Enable Edit Recovery on 4 projects) for 2024-02-21 afternoon UTC.

We should make sure that the default languages of the projects to which it's deployed have had the messages translated, i.e. the MediaWiki:Edit-recovery-* prefix as well as MediaWiki:Tog-editrecovery and MediaWiki:Editrecovery.

I spoke to @STei-WMF just now and we thought it might be a good idea to modify the preference message from

Enable the [[Special:EditRecovery|{{int:editrecovery}}]] feature

to something like

Enable the new [[Special:EditRecovery|{{int:editrecovery}}]] feature (you can give feedback on the [https://meta.wikimedia.org/wiki/Talk:Community_Wishlist_Survey_2023/Edit-recovery_feature project's talk page])

to highlight the fact that it's not a fully polished feature yet and that we want feedback.

What about these? French translation seems to be ready, but Arabic isn’t, and there won’t be any more translation updates before the branch cut. The preferences change could be done before the branch cut, but it won’t be translated into any language this week.

I spoke to @STei-WMF just now and we thought it might be a good idea to modify the preference message from

Enable the [[Special:EditRecovery|{{int:editrecovery}}]] feature

to something like

Enable the new [[Special:EditRecovery|{{int:editrecovery}}]] feature (you can give feedback on the [https://meta.wikimedia.org/wiki/Talk:Community_Wishlist_Survey_2023/Edit-recovery_feature project's talk page])

to highlight the fact that it's not a fully polished feature yet and that we want feedback.

I’d rather add a help text (the smaller gray text below some options, e.g. This is sometimes called the '2010 wikitext editor'.) so that the main label doesn’t have to be re-translated once this feature becomes old – the help text could simply be removed if it’s no longer relevant.

@Samwilson in this case, let's go with @Tacsipacsi's suggestion. I have seen an example of it and it looks fine to me. And in addition, can we link the project talkpage? Like this?

You can give feedback on the [https://meta.wikimedia.org/wiki/Talk:Community_Wishlist_Survey_2023/Edit-recovery_feature project's talkpage].

Good point about having a separate message to reduce the translation burden; it looks better too. I did wonder if the top label should just be Enable [[Edit Recovery]] as calling it a feature is a bit redundant (everything's a feature!).

Screenshot 2024-02-20 at 09-15-02 Preferences - Dev wiki1.png (88×389 px, 16 KB)

As for deployment, we need to get this new message merged and translated, so it seems unlikely that we'll be able to deploy this week. I'll add a list to the task description above to track the messages that need to be translated.

Change 1004800 had a related patch set uploaded (by Samwilson; author: Samwilson):

[mediawiki/core@master] Edit Recovery: Add help message to the preference form field

https://gerrit.wikimedia.org/r/1004800

Samwilson changed the task status from Stalled to Open.Feb 20 2024, 8:27 AM

As for deployment, we need to get this new message merged and translated, so it seems unlikely that we'll be able to deploy this week. I'll add a list to the task description above to track the messages that need to be translated.

I was asked to remove arwiki from the deployment patch above — am I understanding correctly that mediawikiwiki, frwiki and enwiki can go ahead with deployment or should we delay a week for these too?

No, it can go ahead. I was misunderstanding; it sounds like we don't absolutely need the new help message to be there for the initial deployment.

The existing messages have already been translated to French, so if we hold off on merging the new messages then deploying this week will be fine.

No, it can go ahead. I was misunderstanding; it sounds like we don't absolutely need the new help message to be there for the initial deployment.

The existing messages have already been translated to French, so if we hold off on merging the new messages then deploying this week will be fine.

Ack — that'll go out on Wednesday as planned (without arwiki)

Change 1004800 merged by jenkins-bot:

[mediawiki/core@master] Edit Recovery: Add help message to the preference form field

https://gerrit.wikimedia.org/r/1004800

Change 1004736 merged by jenkins-bot:

[operations/mediawiki-config@master] InitialiseSettings: Enable Edit Recovery on 3 projects

https://gerrit.wikimedia.org/r/1004736

Mentioned in SAL (#wikimedia-operations) [2024-02-21T12:53:55Z] <samtar@deploy2002> Started scap: Backport for [[gerrit:1004736|InitialiseSettings: Enable Edit Recovery on 3 projects (T355548)]]

Mentioned in SAL (#wikimedia-operations) [2024-02-21T12:55:33Z] <samtar@deploy2002> samtar: Backport for [[gerrit:1004736|InitialiseSettings: Enable Edit Recovery on 3 projects (T355548)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-02-21T13:08:32Z] <samtar@deploy2002> Finished scap: Backport for [[gerrit:1004736|InitialiseSettings: Enable Edit Recovery on 3 projects (T355548)]] (duration: 14m 36s)

Friends I have announced the deployment on English Wikipedia today 21 February 2024. Translations for French are still being sourced after some delays, nonetheless deployment should continue.

STei-WMF updated the task description. (Show Details)

Change 1006498 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] InitialiseSettings: Enable Edit Recovery on arwiki

https://gerrit.wikimedia.org/r/1006498

Announcement to Arabic Wikipedia should go out today 26 February 2024, translations are ready. Requesting deployment from @TheresNoTime for Wednesday 28 February. The community would have been notified by then.

Change 1006498 merged by jenkins-bot:

[operations/mediawiki-config@master] InitialiseSettings: Enable Edit Recovery on arwiki

https://gerrit.wikimedia.org/r/1006498

Mentioned in SAL (#wikimedia-operations) [2024-02-28T15:46:51Z] <samtar@deploy2002> Started scap: Backport for [[gerrit:1006498|InitialiseSettings: Enable Edit Recovery on arwiki (T355548)]]

Mentioned in SAL (#wikimedia-operations) [2024-02-28T15:48:23Z] <samtar@deploy2002> samtar: Backport for [[gerrit:1006498|InitialiseSettings: Enable Edit Recovery on arwiki (T355548)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-02-28T15:57:01Z] <samtar@deploy2002> Finished scap: Backport for [[gerrit:1006498|InitialiseSettings: Enable Edit Recovery on arwiki (T355548)]] (duration: 10m 10s)

TheresNoTime changed the task status from Open to Stalled.Mar 28 2024, 9:05 PM

Stalling as pilot projects are all deployed, awaiting feedback.
To unstall, provide plan on next deployments.

Change #1016334 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] InitialiseSettings: Enable Edit Recovery on all projects

https://gerrit.wikimedia.org/r/1016334

TheresNoTime changed the task status from Stalled to Open.Apr 2 2024, 12:44 PM

Unstalled, deployment to all projects (user preference is still disabled by default)

Change #1016334 merged by jenkins-bot:

[operations/mediawiki-config@master] InitialiseSettings: Enable Edit Recovery on all projects

https://gerrit.wikimedia.org/r/1016334

Mentioned in SAL (#wikimedia-operations) [2024-04-02T13:21:02Z] <samtar@deploy1002> Started scap: Backport for [[gerrit:1016334|InitialiseSettings: Enable Edit Recovery on all projects (T355548)]]

Mentioned in SAL (#wikimedia-operations) [2024-04-02T13:23:22Z] <samtar@deploy1002> samtar: Backport for [[gerrit:1016334|InitialiseSettings: Enable Edit Recovery on all projects (T355548)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-04-02T13:37:28Z] <samtar@deploy1002> Finished scap: Backport for [[gerrit:1016334|InitialiseSettings: Enable Edit Recovery on all projects (T355548)]] (duration: 16m 26s)

JWheeler-WMF moved this task from New & TBD Tickets to 2+ Sprints on the Community-Tech board.
JWheeler-WMF subscribed.

@TheresNoTime we're moving this off the board to clean up our current sprint. We don't plan to change the user preference in the next 2-3 weeks.